For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Dev Portal
DocsAPI ReferenceLearnCommunityChangelog
DocsAPI ReferenceLearnCommunityChangelog
    • About Our APIs
  • REST
    • Overview
      • Overview
        • Abandoned Carts
        • Carts
        • Channels
        • Checkouts
        • Currencies
        • Customer Segmentation
        • Geography
        • Infrastructure Hosting
        • Inventory
        • Orders
            • GETGet Order
            • PUTUpdate Order
            • DELArchive Order
            • GETGet Count of Orders
            • GETList Orders
            • POSTCreate Order
            • DELDelete All Orders
              • GETList Consignments
              • GETList Consignment Shipping Quotes
        • Order Operations
        • Pickup
        • Pickup Methods
        • Pickup Options
        • Pricing
        • Price Lists
        • Promotions
        • Promotion Settings
        • Redirects
        • Scripts
        • Settings
        • Shipping
        • Sites
        • Subscribers
        • System Logs
        • Tax
        • Wishlists
      • Payments
  • GraphQL
    • Overview
  • MCP
    • Overview
Dev Portal
LogoLogo
RESTAdminManagementOrdersOrder Consignments

List Consignment Shipping Quotes

GET
https://api.bigcommerce.com/stores/:store_hash/v2/orders/:order_id/consignments/shipping/:shipping_consignment_id/shipping_quotes
GET
/stores/:store_hash/v2/orders/:order_id/consignments/shipping/:shipping_consignment_id/shipping_quotes
$curl https://api.bigcommerce.com/stores/store_hash/v2/orders/1/consignments/shipping/1/shipping_quotes \
> -H "X-Auth-Token: <apiKey>" \
> -H "Content-Type: application/json"
1{
2 "id": "42",
3 "uuid": "7c65e0a0-cf46-4438-934e-c7b4edb31e18",
4 "timestamp": "Tue, 27 Feb 2024 14:22:10 +0000",
5 "shipping_provider_id": "bcstatic",
6 "shipping_provider_quote": [],
7 "provider_code": "peritem",
8 "carrier_code": "",
9 "rate_code": "",
10 "rate_id": "",
11 "method_id": 2
12}

Get all shipping quotes persisted on an order for a shipping consignment. This is a read-only endpoint whose response depends on the shipping quote. You can only generate a shipping quote using the storefront at this time. Orders that are created in the control panel, or using the API, return a 204 status response since you can’t generate a shipping quote during that process.

Was this page helpful?
Previous

List Consignments

Next

List Order Coupons

Built with

Authentication

X-Auth-Tokenstring
### OAuth scopes | UI Name | Permission | Parameter | |:--------|:-----------|:----------| | Orders | modify | `store_v2_orders` | | Orders | read-only | `store_v2_orders_read_only` | ### Authentication header | Header | Argument | Description | |:-------|:---------|:------------| | `X-Auth-Token` | `access_token` | For more about API accounts that generate `access_token`s, see our [Guide to API Accounts](/developer/docs/overview/api-fundamentals/api-accounts#api-accounts). | ### Further reading For example requests and more information about authenticating BigCommerce APIs, see [Authentication and Example Requests](/developer/docs/overview/api-fundamentals/api-accounts#x-auth-token-header-example-requests). For more about BigCommerce OAuth scopes, see our [Guide to API Accounts](/developer/docs/overview/api-fundamentals/api-accounts#oauth-scopes). For a list of API status codes, see [API Status Codes](/developer/api-reference/rest/overview#rest-http-status-codes).

Path parameters

order_idintegerRequired
ID of the order.
shipping_consignment_idintegerRequired
Shipping consignment ID.
store_hashstringRequired
Permanent ID of the BigCommerce store.

Response

OK
idstring
ID of the shipping quote.
uuidstring
UUID of the shipping quote.
timestampstring
Time the order was created in RFC 2822 format.
shipping_provider_idstring
ID of the shipping provider.
shipping_provider_quotelist of objects
This can vary based on the shipping provider. Manual shipping methods such as fixed will return an empty array. Shipping providers such as UPS will return an object with the shipping information. Since the shipping quote is tied to a shipping address only one quote will return in the response.
provider_codestring
Code of the shipping provider.
carrier_codestring
Code of the shipping carrier.
rate_codestring
Type of delivery. This can vary based on shipping quote.
rate_idstring
This can vary based on shipping quote.
method_idinteger
Shipping method ID

Errors

404
Not Found Error

OAuth scopes

UI NamePermissionParameter
Ordersmodifystore_v2_orders
Ordersread-onlystore_v2_orders_read_only

Authentication header

HeaderArgumentDescription
X-Auth-Tokenaccess_tokenFor more about API accounts that generate access_tokens, see our Guide to API Accounts.

Further reading

For example requests and more information about authenticating BigCommerce APIs, see Authentication and Example Requests.

For more about BigCommerce OAuth scopes, see our Guide to API Accounts.

For a list of API status codes, see API Status Codes.